package com.ytpm.middle.dao;

import com.ytpm.agent.model.YtWorkorder;
import com.ytpm.middle.param.WorkorderListParam;
import com.ytpm.middle.view.WorkorderVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface WorkorderMapper {
    /**
     * 查询工单列表
     */
    List<WorkorderVO> queryList(WorkorderListParam param);

    /**
     * 主键查询工单
     */
    YtWorkorder selectByPrimary(@Param("workorderId") String workorderId);

    /**
     * 主键修改
     */
    void updateById(YtWorkorder workorder);
}
